#!/bin/sh

export PATH='/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/mnt/nand/bin'
export TSLIB_CALIBFILE='/etc/pointercal'
export TSLIB_CONFFILE='/usr/local/etc/ts.conf'
export TSLIB_FBDEVICE='/dev/fb0'
export TSLIB_TSDEVICE='/dev/input/event1'
export LD_LIBRARY_PATH='/lib:/usr/lib:/usr/local/lib:/usr/local/Trolltech/lib:/mnt/nand/lib'
export DISPLAY=:0

export QWS_MOUSE_PROTO="Tslib:/dev/input/event1"

#Inizializzazioni temporanee... Da valutare lo spostamento all-interno dell-applicativo.

ifconfig eth0 192.168.5.50

mknod /dev/qsd-gpio c 251 0

# Set the can speed
echo 1000000 > /sys/devices/platform/FlexCAN.0/bitrate
ifconfig can0 up

# Set the backlight
echo 171 > /sys/class/leds/led-pwm2/brightness

# Reset Etherne
echo 1 > /proc/eth_reset

# Aggiornamneto regole udev
cp /mnt/nand/tsevo/11-usb-on-mnt.rules /etc/udev/rules.d/
udevadm control --reload_rules

#Inizializzazioni temporanee... Fine

# Force Touch Calibration
# check for usb key
if [ "`mount | grep /mnt/usb`" ]; then
    echo "USB key found"
    if [ -e /mnt/usb/calib ]; then
        mount -o remount,sync -w rootfs /
        umount /etc

        ts_calibrate
        sync

        sleep 1
        mount -n -o bind /mnt/rwfs/etc /etc
    else
        echo "Calibration file non trovato"
    fi
fi

sleep 1
mount -o remount -r rootfs /

cd /mnt/nand/tsevo

while true
do
    if [ `md5sum VILLA_TS_EVO | awk -F" " '{ print $1 }'` == `cat VILLA_TS_EVO.md5 | awk -F" " '{ print $1 }'` ]; then
        if [ `md5sum ../evo/evo | awk -F" " '{ print $1 }'` == `cat ../evo/evo.md5 | awk -F" " '{ print $1 }'` ]; then
            ./VILLA_TS_EVO -qws
        else
            echo "CRC Error on evo!!!"
            echo "CRC Error on evo!!!" > /dev/tty0
        fi
    else
        echo "CRC Error on VILLA_TS_EVO!!!"
        echo "CRC Error on VILLA_TS_EVO!!!" > /dev/tty0
    fi

    sleep 2
done
